Back to Weibo
TikHub·Weibo

Weibo Web V2: Weibo Advanced Search

/api/v1/weibo/web_v2/fetch_advanced_searchsync$0.003 / call

Weibo advanced search with multi-dimensional filtering. (TikHub · Weibo Web V2)

Input
  • qstringrequired

    Search keyword

  • search_typestring

    /Search type: all( ), hot( ), original( ), verified( ), media( ), viewpoint( )

  • include_typestring

    /Include type: all( ), pic( ), video( ), music( ), link( )

  • timescopestring

    Time scope (custom:start:end)

  • pageinteger

    Page number (default 1)

Run it

curl -s https://sooma.dev/v1/run \ -H "Authorization: Bearer $SOOMA_API_KEY" \ -H "Content-Type: application/json" \ -d '{"provider":"tikhub","endpoint":"/api/v1/weibo/web_v2/fetch_advanced_search","input":{}}'

Or ask your agent: it will call inspect for this schema and run it over MCP.